org.jbpm.kie.services.impl.model

## Class NodeInstanceDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.NodeInstanceDesc

- All Implemented Interfaces:
    Serializable, NodeInstanceDesc

      public class NodeInstanceDesc
      extends Object
      implements NodeInstanceDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeInstanceDesc()`
    `NodeInstanceDesc(String id, String nodeId, String name, String nodeType, String deploymentId, long processInstanceId, Date date, String connection, int type, Long workItemId, Long referenceId, String nodeContainerId, Date slaDueDate, Integer slaCompliance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConnection()` Returns the node instance connection.
    `Date` | `getDataTimeStamp()` Returns the node instance timestamp.
    `String` | `getDeploymentId()` Returns the node instance deployment id.
    `Long` | `getId()` Returns the node instance id.
    `String` | `getName()` Returns the node instance name.
    `String` | `getNodeContainerId()` Returns the node instance container id.
    `String` | `getNodeId()` Returns the node instance node id.
    `String` | `getNodeType()` Returns the node instance node type.
    `Long` | `getProcessInstanceId()` Returns the process instance id.
    `Long` | `getReferenceId()` Returns the node instance reference id.
    `Integer` | `getSlaCompliance()` Returns the node instance SLA complience.
    `Date` | `getSlaDueDate()` Returns the node instance SLA due date.
    `int` | `getType()`
    `Long` | `getWorkItemId()` Returns the node instance workitem id.
    `boolean` | `isCompleted()` Returns the node instance completion.
    `void` | `setConnection(String incomingConnection)`
    `void` | `setNodeId(String nodeUniqueId)`
    `void` | `setSlaCompliance(Integer slaCompliance)`
    `void` | `setSlaDueDate(Date slaDueDate)`
    `void` | `setWorkItemId(Long workItemId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeInstanceDesc

          public NodeInstanceDesc()

    - #### NodeInstanceDesc

          public NodeInstanceDesc(String id,
                                  String nodeId,
                                  String name,
                                  String nodeType,
                                  String deploymentId,
                                  long processInstanceId,
                                  Date date,
                                  String connection,
                                  int type,
                                  Long workItemId,
                                  Long referenceId,
                                  String nodeContainerId,
                                  Date slaDueDate,
                                  Integer slaCompliance)

  - ### Method Detail

    - #### getId

          public Long getId()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance id.
      Specified by:
        `getId` in interface `NodeInstanceDesc`
      Returns:
        id

    - #### getName

          public String getName()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance name.
      Specified by:
        `getName` in interface `NodeInstanceDesc`
      Returns:
        name

    - #### getDeploymentId

          public String getDeploymentId()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance deployment id.
      Specified by:
        `getDeploymentId` in interface `NodeInstanceDesc`
      Returns:
        deployment id

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Description copied from interface: `NodeInstanceDesc`
      Returns the process instance id.
      Specified by:
        `getProcessInstanceId` in interface `NodeInstanceDesc`
      Returns:
        process instance id

    - #### getDataTimeStamp

          public Date getDataTimeStamp()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance timestamp.
      Specified by:
        `getDataTimeStamp` in interface `NodeInstanceDesc`
      Returns:
        timestamp

    - #### getNodeType

          public String getNodeType()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance node type.
      Specified by:
        `getNodeType` in interface `NodeInstanceDesc`
      Returns:
        node type

    - #### getNodeId

          public String getNodeId()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance node id.
      Specified by:
        `getNodeId` in interface `NodeInstanceDesc`
      Returns:
        node id

    - #### setNodeId

          public void setNodeId(String nodeUniqueId)

    - #### isCompleted

          public boolean isCompleted()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance completion.
      Specified by:
        `isCompleted` in interface `NodeInstanceDesc`
      Returns:
        completion

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getConnection

          public String getConnection()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance connection.
      Specified by:
        `getConnection` in interface `NodeInstanceDesc`
      Returns:
        connection

    - #### setConnection

          public void setConnection(String incomingConnection)

    - #### getType

          public int getType()

    - #### getWorkItemId

          public Long getWorkItemId()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance workitem id.
      Specified by:
        `getWorkItemId` in interface `NodeInstanceDesc`
      Returns:
        workitem id

    - #### setWorkItemId

          public void setWorkItemId(Long workItemId)

    - #### getReferenceId

          public Long getReferenceId()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance reference id.
      Specified by:
        `getReferenceId` in interface `NodeInstanceDesc`
      Returns:
        reference id

    - #### getNodeContainerId

          public String getNodeContainerId()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance container id.
      Specified by:
        `getNodeContainerId` in interface `NodeInstanceDesc`
      Returns:
        container id

    - #### getSlaDueDate

          public Date getSlaDueDate()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance SLA due date.
      Specified by:
        `getSlaDueDate` in interface `NodeInstanceDesc`
      Returns:
        SLA due date

    - #### setSlaDueDate

          public void setSlaDueDate(Date slaDueDate)

    - #### getSlaCompliance

          public Integer getSlaCompliance()

      Description copied from interface: `NodeInstanceDesc`
      Returns the node instance SLA complience.
      Specified by:
        `getSlaCompliance` in interface `NodeInstanceDesc`
      Returns:
        SLA compliance

    - #### setSlaCompliance

          public void setSlaCompliance(Integer slaCompliance)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.